Subject: Re: [PATCH] [PowerPC] Support For Initrd Loaded Into Highmem

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 18 May 2009 07:56:17 +1000

> >   How Solved:
> > Code was added that checks if initrd is in the highmem and relocates initrd
> > into lowmem if required.
> 
> I don't think this is needed. Just don't load the ramdisk to highmem
> in the first place.

Well, it does make some sense to avoid the kernel eating itself if
passed things out of lowmem in the reserve map, though Konstantin patch
doesn't fix that properly, I think it's still something to look into.

Cheers,
Ben.